package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 学校信息对象 tb_school
 * 
 * @author ruoyi
 * @date 2022-08-29
 */
public class TbSchool extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 学校中文名称 */
    @Excel(name = "学校中文名称")
    private String schoolCnName;

    /** 学校英文名称 */
    @Excel(name = "学校英文名称")
    private String schoolEnName;

    @Excel(name = "校区")
    private String schoolCampus;

    /** 学校所属国家中文名称 */
    @Excel(name = "学校所属国家中文名称")
    private String schoolCnCountry;

    /** 学校所在城市中文名称 */
    @Excel(name = "学校所在城市中文名称")
    private String schoolCnCity;

    /** 学校所属国家英文名称 */
//    @Excel(name = "学校所属国家英文名称")
//    private String schoolEnCountry;

    /** 学校所属城市英文名称 */
//    @Excel(name = "学校所属城市英文名称")
//    private String schoolEnCity;

    /**学校类型：1 公立，2 私立*/
    private Integer schoolType;

    /**学校类型描述*/
    @Excel(name = "学校类型")
    private String schoolTypeDesc;

    /** 学校logo */
    private String schoolLogo;

    private String schoolCover;

    @Excel(name = "创建人")
    private String creatorDesc;

    @Excel(name = "修改人")
    private String modifiedByDesc;

    @Excel(name="审核人员")
    private String checkerDesc;

    /**审核状态*/
    @Excel(name="审核状态")
    private String checkStatusDesc;

    /**
     * 背景图片
     */
    private String backgroundImage;

    /**
     * 学校简介
     */
    private String schoolIntroduction;

    /**
     * qs世界排名
     */
    private String qsWorld;

    /**
     * qs地区排名
     */
    private String qsArea;

    /**
     * 学校面积
     */
    private String schoolArea;

    /**
     * 住宿类型
     */
    private String liveType;

    /**
     * 是否有接机服务
     */
    private String airportPickup;

    /**
     * 毕业后6个月就业率
     */
    private String employmentRate;

    /**
     * 就业能力排名
     */
    private String qsEmployability;

    /**
     * 授课语言
     */
    private String teachingLanguage;

    /**
     * 实习
     */
    private String internship;

    /**
     * 是否是中国教育部认证
     */
    private String govAuth;

    /**
     * 经度
     */
    private String lng;

    /**
     * 维度
     */
    private String lat;

    private String address;

    private String phone;

    private String website;

    public String getSchoolIntroduction() {
        return schoolIntroduction;
    }

    public void setSchoolIntroduction(String schoolIntroduction) {
        this.schoolIntroduction = schoolIntroduction;
    }

    public String getQsWorld() {
        return qsWorld;
    }

    public void setQsWorld(String qsWorld) {
        this.qsWorld = qsWorld;
    }

    public String getQsArea() {
        return qsArea;
    }

    public void setQsArea(String qsArea) {
        this.qsArea = qsArea;
    }

    public String getSchoolArea() {
        return schoolArea;
    }

    public void setSchoolArea(String schoolArea) {
        this.schoolArea = schoolArea;
    }

    public String getLiveType() {
        return liveType;
    }

    public void setLiveType(String liveType) {
        this.liveType = liveType;
    }

    public String getAirportPickup() {
        return airportPickup;
    }

    public void setAirportPickup(String airportPickup) {
        this.airportPickup = airportPickup;
    }

    public String getCreatorDesc() {
        return creatorDesc;
    }

    public void setCreatorDesc(String creatorDesc) {
        this.creatorDesc = creatorDesc;
    }

    public String getModifiedByDesc() {
        return modifiedByDesc;
    }

    public void setModifiedByDesc(String modifiedByDesc) {
        this.modifiedByDesc = modifiedByDesc;
    }

    public String getCheckerDesc() {
        return checkerDesc;
    }

    public void setCheckerDesc(String checkerDesc) {
        this.checkerDesc = checkerDesc;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSchoolCnName(String schoolCnName)
    {
        this.schoolCnName = schoolCnName;
    }

    public String getSchoolCnName()
    {
        return schoolCnName;
    }
    public void setSchoolEnName(String schoolEnName) 
    {
        this.schoolEnName = schoolEnName;
    }

    public String getSchoolEnName() 
    {
        return schoolEnName;
    }
    public void setSchoolCnCountry(String schoolCnCountry) 
    {
        this.schoolCnCountry = schoolCnCountry;
    }

    public String getSchoolCnCountry() 
    {
        return schoolCnCountry;
    }
    public void setSchoolCnCity(String schoolCnCity) 
    {
        this.schoolCnCity = schoolCnCity;
    }

    public String getSchoolCnCity() 
    {
        return schoolCnCity;
    }
//    public void setSchoolEnCountry(String schoolEnCountry)
//    {
//        this.schoolEnCountry = schoolEnCountry;
//    }
//
//    public String getSchoolEnCountry()
//    {
//        return schoolEnCountry;
//    }
//    public void setSchoolEnCity(String schoolEnCity)
//    {
//        this.schoolEnCity = schoolEnCity;
//    }
//
//    public String getSchoolEnCity()
//    {
//        return schoolEnCity;
//    }
    public void setSchoolLogo(String schoolLogo) 
    {
        this.schoolLogo = schoolLogo;
    }

    public String getSchoolLogo() 
    {
        return schoolLogo;
    }

    public Integer getSchoolType() {
        return schoolType;
    }

    public void setSchoolType(Integer schoolType) {
        this.schoolType = schoolType;
    }

    public String getSchoolTypeDesc() {
        return schoolTypeDesc;
    }

    public void setSchoolTypeDesc(String schoolTypeDesc) {
        this.schoolTypeDesc = schoolTypeDesc;
    }

    public String getCheckStatusDesc() {
        return checkStatusDesc;
    }

    public void setCheckStatusDesc(String checkStatusDesc) {
        this.checkStatusDesc = checkStatusDesc;
    }

    public String getSchoolCampus() {
        return schoolCampus;
    }

    public void setSchoolCampus(String schoolCampus) {
        this.schoolCampus = schoolCampus;
    }

    public String getBackgroundImage() {
        return backgroundImage;
    }

    public void setBackgroundImage(String backgroundImage) {
        this.backgroundImage = backgroundImage;
    }

    public String getEmploymentRate() {
        return employmentRate;
    }

    public void setEmploymentRate(String employmentRate) {
        this.employmentRate = employmentRate;
    }

    public String getQsEmployability() {
        return qsEmployability;
    }

    public void setQsEmployability(String qsEmployability) {
        this.qsEmployability = qsEmployability;
    }

    public String getTeachingLanguage() {
        return teachingLanguage;
    }

    public void setTeachingLanguage(String teachingLanguage) {
        this.teachingLanguage = teachingLanguage;
    }

    public String getInternship() {
        return internship;
    }

    public void setInternship(String internship) {
        this.internship = internship;
    }

    public String getGovAuth() {
        return govAuth;
    }

    public void setGovAuth(String govAuth) {
        this.govAuth = govAuth;
    }

    public String getLng() {
        return lng;
    }

    public void setLng(String lng) {
        this.lng = lng;
    }

    public String getLat() {
        return lat;
    }

    public void setLat(String lat) {
        this.lat = lat;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getWebsite() {
        return website;
    }

    public void setWebsite(String website) {
        this.website = website;
    }

    public void setSchoolCover(String schoolCover) {
        this.schoolCover = schoolCover;
    }

    public String getSchoolCover() {
        return schoolCover;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("schoolCnName", getSchoolCnName())
            .append("schoolEnName", getSchoolEnName())
            .append("schoolCnCountry", getSchoolCnCountry())
            .append("schoolCnCity", getSchoolCnCity())
//            .append("schoolEnCountry", getSchoolEnCountry())
//            .append("schoolEnCity", getSchoolEnCity())
            .append("schoolLogo", getSchoolLogo())
            .toString();
    }
}
